---
title: "tau"
excerpt: "Return the value of `tau`. The full circle constant (τ). Equal to 2π."
layout: manual
---

Return the value of `tau`. The full circle constant (τ). Equal to 2π.



```js
tau() -> number
```

### Tags

* `math`

### Examples

```js
const exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle: 50, length: 10 * tau() }, %)
  |> yLineTo(0, %)
  |> close(%)

const example = extrude(5, exampleSketch)
```

![Rendered example of tau 0](data:image/png;base64,[encoded data, 80212 characters])

### Arguments


### Returns

`number`



